
#########################
# Display
#set_property IOSTANDARD LVCMOS33 [get_ports UART_1_txd]
#set_property IOSTANDARD LVCMOS33 [get_ports UART_1_rxd]
#set_property PACKAGE_PIN J16 [get_ports UART_1_txd]
#set_property PACKAGE_PIN K15 [get_ports UART_1_rxd]
#Output enable
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[0]}]
set_property PACKAGE_PIN J17 [get_ports {display_constants_o[0]}]
#Reset
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[1]}]
set_property PACKAGE_PIN J15 [get_ports {display_constants_o[1]}]
#Baud select
set_property PACKAGE_PIN R19 [get_ports {display_constants_o[2]}]
set_property PACKAGE_PIN R20 [get_ports {display_constants_o[3]}]
set_property PACKAGE_PIN R18 [get_ports {display_constants_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[4]}]
##########################

#########################
# SD Card
#Detect
#set_property IOSTANDARD LVCMOS33 [get_ports {}]
#set_property PACKAGE_PIN A18 [get_ports {}]
#Write protection
#set_property IOSTANDARD LVCMOS33 [get_ports {}]
#set_property PACKAGE_PIN A19 [get_ports {}]
##########################


##########################
#ADC
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_5V_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_5V_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_12V_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_12V_v_p]

##########################

##########################
#UART


##########################

##########################
#SPI
#set_property PACKAGE_PIN AA16 [get_ports adc_1_io1_io]
#set_property PACKAGE_PIN AB22 [get_ports adc_1_io0_io]
#set_property PACKAGE_PIN AA17 [get_ports {adc_1_ss_io[0]}]
#set_property PACKAGE_PIN AB17 [get_ports adc_1_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_1_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_sck_io]

#set_property PACKAGE_PIN AB11 [get_ports adc_2_io1_io]
#set_property PACKAGE_PIN W20 [get_ports adc_2_io0_io]
#set_property PACKAGE_PIN AB12 [get_ports {adc_2_ss_io[0]}]
#set_property PACKAGE_PIN AA11 [get_ports adc_2_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_2_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_sck_io]

#set_property PACKAGE_PIN AB7 [get_ports adc_3_io1_io]
#set_property PACKAGE_PIN AA21 [get_ports adc_3_io0_io]
#set_property PACKAGE_PIN T4 [get_ports {adc_3_ss_io[0]}]
#set_property PACKAGE_PIN U4 [get_ports adc_3_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_3_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_sck_io]

##SPI constants
#set_property PACKAGE_PIN AA18 [get_ports {SPI_ADC_A0_constants_o[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[0]}]
#set_property PACKAGE_PIN AA12 [get_ports {SPI_ADC_A0_constants_o[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[1]}]
#set_property PACKAGE_PIN AB9 [get_ports {SPI_ADC_A0_constants_o[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[2]}]
###########################

###########################


set_property PACKAGE_PIN R6 [get_ports {motor_temp_tri_o[3]}]
set_property PACKAGE_PIN T6 [get_ports {motor_temp_tri_o[2]}]
set_property PACKAGE_PIN U6 [get_ports {motor_temp_tri_o[1]}]
set_property PACKAGE_PIN U5 [get_ports {motor_temp_tri_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[0]}]


##########################

###########################
#Encoder
set_property PACKAGE_PIN W8 [get_ports Encoder_Clock_in]
set_property PACKAGE_PIN V8 [get_ports Encoder_Data_out]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Clock_in]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Data_out]
##########################

###########################
#HPC
###########################

###########################
#I2C
###########################

###########################
#USER ID
set_property BITSTREAM.CONFIG.USERID 32'h00010001 [current_design]
set_property BITSTREAM.CONFIG.USR_ACCESS TIMESPAMP [current_design]
###########################

###########################
#ADG715 constants
set_property PACKAGE_PIN C19 [get_ports {ADG715_constants_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADG715_constants_o[0]}]
###########################


set_property PACKAGE_PIN AA18 [get_ports {SPI_ADC_A0_constants_o[0]}]
set_property PACKAGE_PIN AA12 [get_ports {SPI_ADC_A0_constants_o[1]}]
set_property PACKAGE_PIN AB9 [get_ports {SPI_ADC_A0_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[0]}]

set_property PACKAGE_PIN AA17 [get_ports {spi_rtl_0_ss_io[0]}]
set_property PACKAGE_PIN AA16 [get_ports spi_rtl_0_io1_io]
set_property PACKAGE_PIN AB17 [get_ports spi_rtl_0_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_0_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_2_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_1_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_sck_io]
set_property PACKAGE_PIN AB12 [get_ports {spi_rtl_2_ss_io[0]}]
set_property PACKAGE_PIN AB11 [get_ports spi_rtl_2_io1_io]
set_property PACKAGE_PIN AA11 [get_ports spi_rtl_2_sck_io]
set_property PACKAGE_PIN T4 [get_ports {spi_rtl_1_ss_io[0]}]
set_property PACKAGE_PIN AB7 [get_ports spi_rtl_1_io1_io]
set_property PACKAGE_PIN U4 [get_ports spi_rtl_1_sck_io]
set_property PACKAGE_PIN AB4 [get_ports spi_rtl_2_io0_io]
set_property PACKAGE_PIN Y4 [get_ports spi_rtl_1_io0_io]
set_property PACKAGE_PIN AA22 [get_ports spi_rtl_0_io0_io]




set_property DONT_TOUCH true [get_cells design_1_i]
set_property DONT_TOUCH true [get_cells design_1_i/ADG715_constants]
set_property DONT_TOUCH true [get_cells design_1_i/CardDetection_GND]
set_property DONT_TOUCH true [get_cells design_1_i/Encoder_scanner_0]
set_property DONT_TOUCH true [get_cells design_1_i/Motor_temp]
set_property DONT_TOUCH true [get_cells design_1_i/Motor_temp/U0]
set_property DONT_TOUCH true [get_cells design_1_i/SPI_ADC_A0_constants]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_0]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_0/U0]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_1]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_1/U0]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_2]
set_property DONT_TOUCH true [get_cells design_1_i/axi_quad_spi_2/U0]
set_property DONT_TOUCH true [get_cells design_1_i/display_constants]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0/inst]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m00_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m07_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m08_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m10_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m11_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/s00_couplers/auto_pc]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/tier2_xbar_0]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/tier2_xbar_1]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/tier2_xbar_2]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/xbar]
set_property DONT_TOUCH true [get_cells design_1_i/rst_processing_system7_0_25M]
set_property DONT_TOUCH true [get_cells design_1_i/xadc_wiz_0]
set_property DONT_TOUCH true [get_cells design_1_i/xadc_wiz_0/U0]
set_property DONT_TOUCH true [get_cells design_1_i/xlconcat_0]


set_property PACKAGE_PIN B15 [get_ports Encoder_Power_5V_v_n]
set_property PACKAGE_PIN C15 [get_ports Encoder_Power_5V_v_p]
set_property PACKAGE_PIN D17 [get_ports Encoder_Power_12V_v_n]
set_property PACKAGE_PIN D16 [get_ports Encoder_Power_12V_v_p]

set_property DONT_TOUCH true [get_cells design_1_i/encoder_simulator_0]
set_property DONT_TOUCH true [get_cells design_1_i/processing_system7_0_axi_periph/m02_couplers/auto_pc]
set_property PACKAGE_PIN W8 [get_ports Encoder_Clock_in]
set_property PACKAGE_PIN V8 [get_ports Encoder_Data_out]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Clock_in]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Data_out]
