
#########################
# Display
#set_property IOSTANDARD LVCMOS33 [get_ports UART_1_txd]
#set_property IOSTANDARD LVCMOS33 [get_ports UART_1_rxd]
#set_property PACKAGE_PIN J16 [get_ports UART_1_txd]
#set_property PACKAGE_PIN K15 [get_ports UART_1_rxd]
#Output enable
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[0]}]
set_property PACKAGE_PIN J17 [get_ports {display_constants_o[0]}]
#Reset
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[1]}]
set_property PACKAGE_PIN J15 [get_ports {display_constants_o[1]}]
#Baud select
set_property PACKAGE_PIN R19 [get_ports {display_constants_o[2]}]
set_property PACKAGE_PIN R20 [get_ports {display_constants_o[3]}]
set_property PACKAGE_PIN R18 [get_ports {display_constants_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {display_constants_o[4]}]
##########################

#########################
# SD Card
#Detect
#set_property IOSTANDARD LVCMOS33 [get_ports {}]
#set_property PACKAGE_PIN A18 [get_ports {}]
#Write protection
#set_property IOSTANDARD LVCMOS33 [get_ports {}]
#set_property PACKAGE_PIN A19 [get_ports {}]
##########################


##########################
#ADC
set_property IOSTANDARD LVCMOS33 [get_ports Motor_U_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_U_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_V_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_V_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_5V_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_5V_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_W_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_W_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_12V_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Power_12V_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports HRM_supply_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports HRM_supply_v_p]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_Current_v_n]
set_property IOSTANDARD LVCMOS33 [get_ports Motor_Current_v_p]
##########################

##########################
#UART
set_property PACKAGE_PIN G20 [get_ports TM_TC_Test_rxd]
set_property PACKAGE_PIN G21 [get_ports TM_TC_Test_txd]
set_property IOSTANDARD LVCMOS33 [get_ports TM_TC_Test_rxd]
set_property IOSTANDARD LVCMOS33 [get_ports TM_TC_Test_txd]

##########################

##########################
#SPI
#set_property PACKAGE_PIN AA16 [get_ports adc_1_io1_io]
#set_property PACKAGE_PIN AB22 [get_ports adc_1_io0_io]
#set_property PACKAGE_PIN AA17 [get_ports {adc_1_ss_io[0]}]
#set_property PACKAGE_PIN AB17 [get_ports adc_1_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_1_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_1_sck_io]

#set_property PACKAGE_PIN AB11 [get_ports adc_2_io1_io]
#set_property PACKAGE_PIN W20 [get_ports adc_2_io0_io]
#set_property PACKAGE_PIN AB12 [get_ports {adc_2_ss_io[0]}]
#set_property PACKAGE_PIN AA11 [get_ports adc_2_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_2_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_2_sck_io]

#set_property PACKAGE_PIN AB7 [get_ports adc_3_io1_io]
#set_property PACKAGE_PIN AA21 [get_ports adc_3_io0_io]
#set_property PACKAGE_PIN T4 [get_ports {adc_3_ss_io[0]}]
#set_property PACKAGE_PIN U4 [get_ports adc_3_sck_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_io1_io]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_io0_io]
#set_property IOSTANDARD LVCMOS33 [get_ports {adc_3_ss_io[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports adc_3_sck_io]

##SPI constants
#set_property PACKAGE_PIN AA18 [get_ports {SPI_ADC_A0_constants_o[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[0]}]
#set_property PACKAGE_PIN AA12 [get_ports {SPI_ADC_A0_constants_o[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[1]}]
#set_property PACKAGE_PIN AB9 [get_ports {SPI_ADC_A0_constants_o[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[2]}]
###########################

###########################
#GPIOs
set_property PACKAGE_PIN C22 [get_ports {sce_status_tri_i[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {sce_status_tri_i[0]}]

set_property PACKAGE_PIN Y11 [get_ports {sce_power_tri_o[1]}]
set_property PACKAGE_PIN Y10 [get_ports {sce_power_tri_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {sce_power_tri_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {sce_power_tri_o[0]}]

set_property PACKAGE_PIN R6 [get_ports {motor_temp_tri_o[3]}]
set_property PACKAGE_PIN T6 [get_ports {motor_temp_tri_o[2]}]
set_property PACKAGE_PIN U6 [get_ports {motor_temp_tri_o[1]}]
set_property PACKAGE_PIN U5 [get_ports {motor_temp_tri_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {motor_temp_tri_o[0]}]

set_property PACKAGE_PIN V7 [get_ports {position_pulse_tri_i[3]}]
set_property PACKAGE_PIN W7 [get_ports {position_pulse_tri_i[2]}]
set_property PACKAGE_PIN W6 [get_ports {position_pulse_tri_i[1]}]
set_property PACKAGE_PIN W5 [get_ports {position_pulse_tri_i[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {position_pulse_tri_i[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {position_pulse_tri_i[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {position_pulse_tri_i[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {position_pulse_tri_i[0]}]

set_property PACKAGE_PIN Y18 [get_ports {hrm_sensor_on_off_tri_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {hrm_sensor_on_off_tri_o[0]}]

##########################

###########################
#Encoder
set_property PACKAGE_PIN W8 [get_ports Encoder_Clock_in]
set_property PACKAGE_PIN V8 [get_ports Encoder_Data_out]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Clock_in]
set_property IOSTANDARD LVCMOS33 [get_ports Encoder_Data_out]
##########################

###########################
#HPC
###########################

###########################
#I2C
###########################

###########################
#USER ID
set_property BITSTREAM.CONFIG.USERID 32'h00010001 [current_design]
set_property BITSTREAM.CONFIG.USR_ACCESS TIMESPAMP [current_design]
###########################

###########################
#ADG715 constants
set_property PACKAGE_PIN C19 [get_ports {ADG715_constants_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADG715_constants_o[0]}]
###########################

set_property PACKAGE_PIN B21 [get_ports Motor_V_v_p]

set_property PACKAGE_PIN AA18 [get_ports {SPI_ADC_A0_constants_o[0]}]
set_property PACKAGE_PIN AA12 [get_ports {SPI_ADC_A0_constants_o[1]}]
set_property PACKAGE_PIN AB9 [get_ports {SPI_ADC_A0_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {SPI_ADC_A0_constants_o[0]}]

set_property PACKAGE_PIN AA17 [get_ports {spi_rtl_0_ss_io[0]}]
set_property PACKAGE_PIN AA16 [get_ports spi_rtl_0_io1_io]
set_property PACKAGE_PIN AB17 [get_ports spi_rtl_0_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_0_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_0_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_2_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_2_sck_io]
set_property IOSTANDARD LVCMOS33 [get_ports {spi_rtl_1_ss_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_io0_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_io1_io]
set_property IOSTANDARD LVCMOS33 [get_ports spi_rtl_1_sck_io]
set_property PACKAGE_PIN AB12 [get_ports {spi_rtl_2_ss_io[0]}]
set_property PACKAGE_PIN AB11 [get_ports spi_rtl_2_io1_io]
set_property PACKAGE_PIN AA11 [get_ports spi_rtl_2_sck_io]
set_property PACKAGE_PIN T4 [get_ports {spi_rtl_1_ss_io[0]}]
set_property PACKAGE_PIN AB7 [get_ports spi_rtl_1_io1_io]
set_property PACKAGE_PIN U4 [get_ports spi_rtl_1_sck_io]
set_property PACKAGE_PIN AB4 [get_ports spi_rtl_2_io0_io]
set_property PACKAGE_PIN Y4 [get_ports spi_rtl_1_io0_io]
set_property PACKAGE_PIN AA22 [get_ports spi_rtl_0_io0_io]

set_property PACKAGE_PIN W16 [get_ports Display_selection]
set_property IOSTANDARD LVCMOS33 [get_ports Display_selection]

set_property SLEW SLOW [get_ports TM_TC_Test_txd]


set_property IOSTANDARD LVCMOS33 [get_ports TM_TC_rxd]
set_property IOSTANDARD LVCMOS33 [get_ports TM_TC_txd]
set_property PACKAGE_PIN D22 [get_ports TM_TC_rxd]
set_property PACKAGE_PIN D18 [get_ports TM_TC_txd]
